//---------------------------------------------------------------------------

#ifndef ReadCardH
#define ReadCardH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TGroupBox *GroupBox1;
    TGroupBox *GroupBox2;
    TComboBox *Reader;
    TButton *BT_Connect;
    TButton *BT_Updata;
    TLabel *Label1;
    TEdit *M1_UID;
    TEdit *M1_Key;
    TEdit *M1_Data;
    TComboBox *M1_Block;
    TLabel *Label2;
    TLabel *Label3;
    TLabel *Label4;
    TLabel *Label5;
    TButton *BT_M1Search;
    TButton *BT_M1Read;
    TButton *BT_M1Write;
    TButton *BT_M1Halt;
    TLabel *Status;
    TRadioButton *Radio_KeyA;
    TRadioButton *Radio_KeyB;
    void __fastcall BT_ConnectClick(TObject *Sender);
    void __fastcall BT_UpdataClick(TObject *Sender);
    void __fastcall BT_M1SearchClick(TObject *Sender);
    void __fastcall BT_M1ReadClick(TObject *Sender);
    void __fastcall BT_M1WriteClick(TObject *Sender);
    void __fastcall BT_M1HaltClick(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
